SNA
엔드포인트 레퍼런스

Completion

세션 관리 없이 가벼운 단발 LLM completion을 실행합니다.

POST
/agent/completion

인증

bearerAuth
인증Bearer <token>

In: header

요청 본문

application/json

TypeScript 정의

TypeScript에서 request body 타입을 사용합니다.

응답 본문

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/agent/completion" \  -H "Content-Type: application/json" \  -d '{    "prompt": "string"  }'
{
  "text": "string",
  "usage": {
    "inputTokens": 0,
    "outputTokens": 0,
    "cacheReadTokens": 0,
    "cacheCreationTokens": 0
  },
  "costUsd": 0,
  "durationMs": 0,
  "durationApiMs": 0,
  "model": "string"
}
{
  "status": "error",
  "message": "string",
  "stack": "string"
}
{
  "status": "error",
  "message": "string",
  "stack": "string"
}
{
  "status": "error",
  "message": "string",
  "stack": "string"
}
{
  "status": "error",
  "message": "string",
  "stack": "string"
}